unit AboutBox;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, Registry;

type
  TAboutBoxForm = class(TForm)
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure FormShow(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure Label4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBoxForm: TAboutBoxForm;

implementation

uses Calk_Matr;

{$R *.DFM}

procedure TAboutBoxForm.FormShow(Sender: TObject);
begin
  Left:=CalkWindow.Left+CalkWindow.Width div 2 - Width div 2;
  Top:=CalkWindow.Top+CalkWindow.Height div 2 - Height div 2;
end;

procedure TAboutBoxForm.BitBtn1Click(Sender: TObject);
begin
  Close;
end;

procedure TAboutBoxForm.Label3Click(Sender: TObject);
Var mailer:string;
    Reg:TRegistry;
    KeyGood:boolean;

Function Mid (Str:String; b,e:integer):string;
Var i:integer;
    Str2:string;
Begin
  Str2:='';
  For i:= b to e do
    Str2:=Str2+Str[i];
  Mid:=Str2;
End;

begin
  Mailer:='';

  Reg:=TRegistry.Create;
  try
    Reg.RootKey:=HKEY_CLASSES_ROOT;
    KeyGood:=Reg.OpenKey('mailto\shell\open\command',False);
    If KeyGood then
      Mailer:=Reg.ReadString('');
  finally
    Reg.Free;
  end;
  Mailer:=Mid(Mailer,1,length(Mailer)-2);
  WinExec(PChar(Mailer+'mailto:%20<ZSuner@mail.ru>'),1);
end;

procedure TAboutBoxForm.Label4Click(Sender: TObject);
Var Browser:string;
    Reg:TRegistry;
    KeyGood:boolean;

Function Mid (Str:String; b,e:integer):string;
Var i:integer;
    Str2:string;
Begin
  Str2:='';
  For i:= b to e do
    Str2:=Str2+Str[i];
  Mid:=Str2;
End;

begin
  Browser:='';

  Reg:=TRegistry.Create;
  try
    Reg.RootKey:=HKEY_CLASSES_ROOT;
    KeyGood:=Reg.OpenKey('htmlfile\shell\open\command',False);
    If KeyGood then
      Browser:=Reg.ReadString('');
  finally
    Reg.Free;
  end;
  WinExec(PChar(Browser+'http://Suner.narod.ru/'),1);
end;

end.
